Uses of Annotation Interface
org.apache.juneau.rest.server.RestPut
Packages that use RestPut
Package
Description
Example / demo Microservice REST Resources
Petstore console pets pages and their JSON endpoints.
Petstore console users page and its JSON endpoints.
Petstore REST resources.
REST Server API
Actuator-style management-surface endpoints (server-module flavors).
-
Uses of RestPut in org.apache.juneau.microservice.examples
Methods in org.apache.juneau.microservice.examples with annotations of type RestPutModifier and TypeMethodDescriptionConfigResource.setConfigContents(Reader contents) ConfigResource.setConfigSection(String section, Map<String, Object> contents) ConfigResource.setConfigValue(String section, String key, String value) org.apache.juneau.microservice.examples.DirectoryResource.RedirectToRootDirectoryResource.updateFile(InputStream is, String path) Adds or overwrites a file on the file system. -
Uses of RestPut in org.apache.juneau.petstore.console.pets
Methods in org.apache.juneau.petstore.console.pets with annotations of type RestPutModifier and TypeMethodDescriptionPetsRest.update(RestRequest req, long id, JsonMap body) Replaces a pet. -
Uses of RestPut in org.apache.juneau.petstore.console.users
Methods in org.apache.juneau.petstore.console.users with annotations of type RestPutModifier and TypeMethodDescriptionUsersRest.update(RestRequest req, String username, JsonMap body) Updates a user. -
Uses of RestPut in org.apache.juneau.petstore.rest
Methods in org.apache.juneau.petstore.rest with annotations of type RestPutModifier and TypeMethodDescriptionPetStoreResource.putPetPhoto(long id, BufferedImage image) Uploads a photo for a pet.PetStoreResource.updateOrder(long id, Order order) Updates an existing order.Updates an existing pet.PetStoreResource.updateUser(String username, User user) Updates an existing user. -
Uses of RestPut in org.apache.juneau.rest.server
Fields in org.apache.juneau.rest.server declared as RestPutMethods in org.apache.juneau.rest.server that return RestPut -
Uses of RestPut in org.apache.juneau.rest.server.management
Methods in org.apache.juneau.rest.server.management with annotations of type RestPutModifier and TypeMethodDescriptionLoggersMixin.setLogger(RestRequest req, String name, String level) [PUT /loggers/{name}] - Set a logger's level at runtime.LoggersResource.setLogger(RestRequest req, String name, String level) [PUT /{name}] - Set a logger's level at runtime.